#  Test connectivity for a molecular crystal

from numpy        import array
from chemsh       import *
from chemsh.utils import testutils

butanol = Fragment(coords='butanol.cjson')

print("### butanol Cartesians =", butanol.coords)
butanol.save('butanol.xyz')

print("### butanol conn =", butanol.conn)

butanol.c2z()
print("### butanol Z-matrix =", butanol.zmatrix)


#testutils.validate(butanol.conn, reference)

butanol.z2c()
print("### butanol Cartesians =", butanol.zmatrix)
